Log4j2.Log4j2LoggingStrategy (Groovy 2.4.5)
Date: 2015-09-17

groovy.util.logging

## Class Log4j2.Log4j2LoggingStrategy

- java.lang.Object
- - org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategy
  - - groovy.util.logging.Log4j2.Log4j2LoggingStrategy

- All Implemented Interfaces:
    LogASTTransformation.LoggingStrategy
  Enclosing class:
    Log4j2

      public static class Log4j2.Log4j2LoggingStrategy
      extends LogASTTransformation.AbstractLoggingStrategy

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategy

      `loader`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Log4j2.Log4j2LoggingStrategy(GroovyClassLoader loader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldNode` | `addLoggerFieldToClass(ClassNode classNode, String logFieldName, String categoryName)` In this method, you are given a ClassNode, a field name and a category name, and you must add a new Field onto the class.
    `boolean` | `isLoggingMethod(String methodName)`
    `Expression` | `wrapLoggingMethodCall(Expression logVariable, String methodName, Expression originalExpression)`

    - ### Methods inherited from class org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategy

      `classNode, getCategoryName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Log4j2.Log4j2LoggingStrategy

          protected Log4j2.Log4j2LoggingStrategy(GroovyClassLoader loader)

  - ### Method Detail

    - #### addLoggerFieldToClass

          public FieldNode addLoggerFieldToClass(ClassNode classNode,
                                        String logFieldName,
                                        String categoryName)

      Description copied from interface: `LogASTTransformation.LoggingStrategy`
      In this method, you are given a ClassNode, a field name and a category name, and you must add a new Field onto the class. Return the result of the ClassNode.addField operations.
      Parameters:
        `classNode` - the class that was originally annotated with the Log transformation.
        `logFieldName` - the name of the logger field
        `categoryName` - the name of the logging category
      Returns:
        the FieldNode instance that was created and added to the class

    - #### isLoggingMethod

          public boolean isLoggingMethod(String methodName)

    - #### wrapLoggingMethodCall

          public Expression wrapLoggingMethodCall(Expression logVariable,
                                         String methodName,
                                         Expression originalExpression)